Only this pageAll pages
Powered by GitBook
1 of 20

Alluvial

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Reporting API

Reporting API is a collection of APIs Platforms use to get information about Liquid Collective Protocol Service Fees.

Commercials V3 cutover — May 1, 2026. Use the v1 endpoints for any reporting period on or after 2026-05-01 00:00 UTC. The v0 endpoints remain valid only for historical periods through 2026-04-30.

Public endpoints (no authentication required)

Private endpoints ( authentication required)

Reward Summary

Third Party Integration Guides

Alluvial's APIs can also interact with other third party services, such as those offered by third party custodians that Platforms may use to custody funds staked using Liquid Collective.

Please note that these guides are to support Platforms who are connecting with third party products that are not offered by or in partnership or affiliation with Alluvial. Products and services offered by third parties are subject to separate terms and conditions. Visit the website of the third parties noted in these guides for more information on their offerings.

APIs

Alluvial exposes several APIs to help developers interact with the Liquid Collective Protocol.

API-Reference

Authentication APIEthereum Data APIAllowlisting APIRedemption APIReporting API

Guides

Using Alluvial APIs makes it easy to onboard and interact with the Liquid Collective protocol.

There are two types of Liquid Collective Platforms. Platforms either:

  • Enable mint/redeem: These Platforms enable direct Liquid Collective protocol interactions, including depositing ETH to Ethereum's deposit contract and redeeming LsETH for ETH (minting and redeeming). These Platforms offer KYC/AML and Sanctions Screening procedures for their users, then submit the user's wallet address to Liquid Collective's Allowlist smart contract upon successful completion.

  • Enable secondary interactions: These Platforms do not enable minting, redeeming, or direct Liquid Collective protocol interactions, but do enable secondary protocol interactions such as trading, lending, or other services not required to Allowlist KYC/AML and Sanctions Screened wallet addresses. Users of these Platforms can seamlessly interact with LsETH, and may accrue Ethereum's consensus and execution layer network rewards simply by holding LsETH.

There are two lists that Platforms can interact with:

  • Allowlist: Any address added to this list can mint and/or burn directly with the Liquid Collective protocol. Only wallets that have on-ramped via a mint/redeemed enabled Platform can be added to this list.

  • On-Platform: Platforms that only enable secondary interactions can only add wallets to the On-Platform list, and cannot interact with the Allowlist smart contract. When a wallet address is added to the Allowlist it is also automatically added to the On-Platform list. This list is used for calculating Platform rebates.

Below are two guides for Platforms to add their users to the appropriate lists.

Platforms enabling Mint and Redeem guide
Platforms enabling secondary interactions

Ethereum Data API

Ethereum Data API is a collection of APIs that expose read data from the Ethereum network.

Mint and Redeem support

Pre-read

Review the Authentication Guide for the Alluvial API.

Onboarding wallets

Create an Account object

First create an account object for each of your users.

Request:

curl -X 'POST' \

Response:

{
  "id": "da36a6fa-070d-4cd1-b99a-f2da4f4ccb20",
  "key": "FO123",
  "org_id": "org_WaYHN06ay6WoTjcz",
  "status": "ACTIVE",
  "created_at": "2023-03-17T17:24:18.031434748Z",
  "wallets": []
}

Create Wallet objects

Add wallet to Allowlist

Attach a wallet object to each account. You can add the wallet to the Allowlist (on-chain) or the On-Platform list (off-chain).

The first example below shows how to add a wallet address to the Allowlist (which be default is added to the On-Platform list).

Use the Alluvial account in UUID in the uri Path

Request:

curl -X 'POST' \
  'https://api.staging.alluvial.finance/v0/platform/accounts/da36a6fa-070d-4cd1-b99a-f2da4f4ccb20/wallets' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGci…CVm5g' \
  -H 'Content-Type: application/json' \
  -d '{
  "address": "0x5210d328bC5651F92F4557EfDE08dd97A36A935c",
  "type": "ETH"
}'

The status of the Wallet object upon creation will be NOT_READY. This is because the wallet information will be sent to the Allowlist smart contract to update the Registry. Once the Registry contract is updated, the status will change to ALLOWLISTED.

Once the wallet address is added to the Allowlist it will also automatically be added to the On-Platform list.

Response:

{
  "id": "a41c520e-fadd-4c0c-a1ce-d574ee731cee",
  "type": "ETH",
  "address": "0x5210d328bC5651F92F4557EfDE08dd97A36A935c",
  "account_id": "993327a3-1d48-4eff-a9ee-7ec769ec1f64",
  "status": "ALLOWLISTED",
  "allowlisted": true,
  "on_platform": true,
  "created_at": "2024-03-25T18:38:31.427654433Z"
}

Add wallet to On-Platform list

Platforms that enable mint/redeem may also need to add a wallet address to the On-Platform list separately. The following request is for a Platform that enables mint/redeem to add a wallet to the On-Platform list.

Request:

Request:

Now that you have an Account object created and Wallet objects associated, the user can stake ETH and mint LsETH. Before depositing, ensure that the Wallet object(s) have a status = ALLOWLISTED.

To complete the staking process, review .

'https://api.staging.alluvial.finance/v0/platform/accounts' \
-H 'accept: application/json' \
-H 'Authorization: Bearer eyJhbGci…CVm5g' \
-H 'Content-Type: application/json' \
-d '{
"key": "FO123"
}'

Stake ETH

this guide
curl -X 'POST' \
  'https://api.staging.alluvial.finance/v0/platform/accounts/da36a6fa-070d-4cd1-b99a-f2da4f4ccb20/wallets' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGci…CVm5g' \
  -H 'Content-Type: application/json' \
  -d '{
  "address": "0x5210d328bC5651F92F4557EfDE08dd97A36A935c",
  "type": "ETH",
  "allowlisted": "false"
}'
{
  "address": "0x5210d328bC5651F92F4557EfDE08dd97A36A935c",
  "created_at": "string",
  "id": "string",
  "status": "NOT_ALLOWLISTED",
  "type": "ETH",
  "on_platform": "true"
}

Supplemental Guides

Who is Alluvial?

Alluvial is a software development company supporting the development of the Liquid Collective protocol. We're focused on the overall growth and maturity of the ecosystem by fostering participation in proof of stake blockchains.

To learn more about the Liquid Collective protocol and how it works, check out Liquid Collective's documentation.

New to Alluvial's documentation?

The Alluvial docs have three key sections:

  1. Guides: This section contains several step by step guides for how technical teams can implement key Liquid Staking flows.

  2. APIs: This section shows all the raw API requests that Liquid Collective Platforms can call.

  3. : This section includes guides for how to interact with the Liquid Collective protocol via other software platforms.

If you are an engineer or technical person, looking to understand the level of effort or work involved in implementing the key flows (ETH staking and LsETH redemptions) then we recommend reviewing the and guides. The is a helpful compliment to these key guides.

Redemption API

Redemption API is a collection of APIs that expose read data on redemptions.

To see APIs used in an example implementation check out the Redemption guide (below).

Helpful tips

Third party integration guides
staking
redemption
architecture guide

Secondary Interaction support

Review the for the Alluvial API.

Platforms that enable secondary protocol interactions, such as trading, lending, or other services, can create an Account object. The Account object is generally associated with a Platform's customer.

Request:

Response:

After an Account object is created, associate a Wallet object to an account. You can associate one or many Wallet objects to a given Account object.

Request:

Response:

Your Platform is all set! Wallets added to the On-Platform list will be used to calculate the relevant Protocol Service Fee Rebates.

Pre-read

Create an Account object

Create a Wallet object

Authentication Guide
curl -X 'POST' \
  'https://api.staging.alluvial.finance/v0/platform/accounts' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer 'eyJhbGci…CVm5g'
  -d '{
 "key": "foobar-123"
}'
{
  "id": "4b1d05ed-b498-4847-99a0-c415c6b19f6b",
  "key": "foobar-123",
  "org_id": "org_WaYHN06ay6WoT...",
  "status": "ACTIVE",
  "created_at": "2024-02-09T22:40:28.954304245Z",
  "wallets": []
}
curl -X 'POST' \
  'https://api.staging.alluvial.finance/v0/platform/accounts/4b1d05ed-b498-4847-99a0-c415c6b19f6b/wallets/' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer 'eyJhbGci…CVm5g'
  -D '{
 "address": "0x469b998812B9675b7B2Fb37519f574fEA5ee92E8",
 "allowlisted": "false",
 "type": "ETH"
}'
{
  "id": "421a39a1-e9c3-4a33-81bc-98eff7bfd502",
  "type": "ETH",
  "address": "0x469b998812b9675b7b2fb37519f574fea5ee92e8",
  "status": "NOT_ALLOWLISTED",
  "on_platform": true,
  "created_at": "2024-02-09T22:43:02.249045841Z"
}

Architecture

This guide is intended for Platforms to learn about how they can integrate the Liquid Collective protocol with the support of Alluvial's APIs.

To help illustrate how a Platform utilizes the Alluvial APIs to support its Liquid Collective protocol integration, this guide introduces a few fictional characters:

  • Acme Custodian Corp: Financial institution that is a Platform for the Liquid Collective protocol and will offer its customers the ability to participate in the Liquid Collective protocol by staking ETH.

  • Alice: user of Acme Custodian Corp

  • Bob: user of Acme Custodian Corp

A custodial wallet's private key(s) are held by either a 3rd party or by the financial institution that is servicing the wallet account on behalf of the customer. In this example, Alice and Bob have a custodial account with Acme Corp and Acme Corp owns / has access to the private key associated with Alice's and Bob's wallet addresses.

Below is an example of the flow of funds, showing how the staking action by Alice and Bob will flow through Acme's architecture and the Alluvial APIs.

Non-custodial (or self-managed) wallets are those in which the customer holds the private keys. In this example, Alice is the only one with access to the private key for her wallet.

The largest differences between the two flow of funds diagrams are the wallet ownership and actions (i.e. signing transactions).

A segregated account structure is one where each customer at the financial institution (ex. Acme Corp) has their own unique, separate account. In this example, both Alice and Bob have their own unique Ethereum address associated with their individual accounts at Acme Corp.

Based on the example segregated account structure, you can see how Acme Corp will map its internal accounts to the technical resources (Organization, Depositor, Wallet) created when interacting with the Alluvial API.

An omnibus account is an account structure in which all users' accounts are grouped into a single wallet address.

Below is an image of how to map Acme's architecture to resources (Organization, Depositor, and Wallet) created via Alluvial's API.

Alluvial isn't aware of, and at no time has control over, the underlying account structure Acme implements. Acme will create a Depositor object that represents all of the internal customers.

Authentication

This guide walks users through how to use authenticate requests using the Alluvial APIs.

Client Credentials Flow

Below is a ladder diagram showing the flow to create an access token.

This flow involves 3 parties:

  • Platform Server: the client looking to access the Alluvial API and which has previously been given a Client ID and Client Secret credentials.

  • Alluvial Authorization Server: responsible for validating credentials and generating JWT Access Token.

  • Alluvial API: the target resource to be accessed.

To obtain an access token, use the a request below using your client id and secret.

Request:

Response:

Access Token should be reused for every request until it expires, in which case they should go through the Client Credential Flow again to obtain a fresh Access Token.

To use the access token, pass it via the HTTP header Authorization: Bearer

If you receive a 2xx response, you are now able to make fully authenticated requests.

If you receive a 4xx response, check if your access token is expired.

You are now ready to make requests! Please check out our guides on and .

Changelog

Alluvial's changelog records changes made to the Alluvial API specification, including new features, improvements, bug fixes, and more.

May 1, 2026

  • Commercials V3 is live. New v1 reporting endpoints expose platform, originator, and operator fees and rates under the V3 fee model: /eth/v1/platforms/{date}, /eth/v1/originators/{date}, and /eth/v1/operators/{date}. See the Reporting API reference.

  • The v0 /eth/v0/platforms/{date} and /eth/v0/operators/{date} endpoints stop populating platform fees and rates from this date forward. They remain valid for historical data through 2026-04-30. Migrate to the v1 endpoints for any period on or after 2026-05-01.

  • Discounting APIs are live! These APIs enable adding a new target rate in the event Platforms need to adjust the net Protocol Service Fee rate for specific accounts and/or wallets.

  • Summary APIs are now exposed within the Reporting API. Summary APIs allow for teams to get data for a range of dates rather than a specific day.

  • Reporting API now exposes an endpoint for Platforms with segregated accounts to get rewards information. You can see examples in our .

  • Reporting API now exposes an endpoint for Platforms with an omnibus to get rewards information. You can see examples in our .

  • On-Platform list has been created to allow Platforms that only want to allow for a wallet to take part in secondary actions of LsETH to be accounted for. More information can be found in the guide or guide.

  • When creating a wallet, Platforms that allow for minting and redeeming, but only want to allow a wallet for secondary interactions can add these wallets to the on_platform list.

  • Introduction of . These replace the Depositor APIs that are now marked for .

  • Expose redemption requests by address via /eth/v0/redeems

  • Expose redemption requests by id via /eth/v0/redeems/{idx}

  • Expose redemption manager (heights) via /eth/v0/redeems_info

This API can be used with the .

  • Expose redeem projected redeemable at timestamp via /eth/v0/redeems/{idx}/projection

  • Expose manager projected fulfilled at timestamp via /eth/v0/redeems_info/projection

This API can be used with the .

  • Remove address from Allowlister via PATCH /v0/depositors/{idOrKey}/wallets/{idOrAddress}/remove

Rather than removing the entire Depositor object, Platforms can now remove only the wallet address. This is the recommended approach for most cases where an a Platform needs to revoke a wallet address' Allowlist permissions.

The wallet will is still able to transfer LsETH to other wallets.

July 9, 2024

May 17, 2024

April 24, 2024

March 25, 2024

On-Platform list

Platform APIs

May 5th, 2023

Release redeems APIs

May 18th, 2023

Release projection APIs for LsETH redemptions

November 20th, 2023

reporting guide
reporting guide
Mint and Redeem
Secondary interaction
Platform and Account APIs
deprecation
redemption guide
redemption guide
curl  'https://auth.alluvial.finance/oauth/token' \
--header 'content-type: application/json' \
--data '{
 "audience": "https://api.staging.alluvial.finance",
 "grant_type": "client_credentials",
 "client_id": "<YOUR_CLIENT_ID>",
 "client_secret": "<YOUR_CLIENT_SECRET>"
}'
{
  "access_token": "eyJhbGci…CVm5g",
  "scope": "read:eth-oracle read:eth-contracts read:eth-operators",
  "expires_in": 86400,
  "token_type": "Bearer"
}
curl 'https://api.staging.alluvial.finance/v0/wallets/0x2B7ff5d4C14A9Da8d5C9354c7A52aB40DdC1C01e' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer eyJh...b'

To obtain a Client ID and Client Secret reach out to your Alluvial representative.

Getting Access Token

Make sure you are using the correct audience URL. Staging: Production:

Refreshing Access Token

Sample request

staking
redemptions

Custodial vs. Non-Custodial wallets

Architectural components in the Acme Infrastructure box are for illustrative purposes.

Architectural components in the Acme Infrastructure box are for illustrative purposes.

Segregated vs. Omnibus Accounts

Segregated account(s)

Omnibus account(s)

Review the Depositor states as applying these states will impact all underlying customers.

Custodial flow of funds
Non custodial flow of funds
Segregated accounts
Segregated accounts mapping
Omnibus accounts
Omnibus accounts mapping
(deny, pause, reactivate, and remove)
https://api.staging.alluvial.finance
https://api.alluvial.finance

Allowlisting API

Ethereum

Platform Account Operations

Platform Wallet Operations

Platform Account Wallet Operations

Solana

Check Allowlist Status

Checks whether a Solana wallet address is allowlisted for staking and redemption operations.

Endpoint: GET https://api.alluvial.finance/sol/v0/allowlist/{address}

Path Parameters:

Parameter
Type
Description

address

string

Response:

Response Fields:

Field
Type
Description

Adds a Solana wallet address to the allowlist, granting permissions for staking and/or redemption operations.

Endpoint: POST https://api.alluvial.finance/sol/v0/allowlist

Request Body:

Request Fields:

Field
Type
Required
Description

Response:

Response Fields:

Field
Type
Description

Public APIs

Alluvial exposes several non-authenticated APIs to support DApps

Solana wallet address to check

{
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "allowlisted": true,
  "permissions": {
    "staking": true,
    "redemption": true
  }
}

address

string

The Solana wallet address that was checked

allowlisted

boolean

Whether the wallet is on the allowlist

permissions.staking

boolean

Whether the wallet has permission to stake SOL

{
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "permissions": {
    "staking": true,
    "redemption": true
  }
}

address

string

Yes

Solana wallet address to add to the allowlist

permissions.staking

boolean

Yes

Grant permission to stake SOL

permissions.redemption

{
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "allowlisted": true,
  "permissions": {
    "staking": true,
    "redemption": true
  },
  "created_at": "2025-01-15T10:30:00Z"
}

address

string

The Solana wallet address that was added

allowlisted

boolean

Confirmation that the wallet is now on the allowlist

permissions.staking

boolean

Whether the wallet has permission to stake SOL

Add Wallet to Allowlist

Authentication API

This page shows the process for creating an access token.

  1. When onboarding with Alluvial, you will receive API credentials. These include a client_id and client_secret.

  2. After receiving your credentials use the curl request below, updating the client_id and client_secret with your specific credentials.

Response

Request

Response

curl -X 'POST' \
  'https://auth.staging.alluvial.finance/oauth/token' \
  -H 'content-type: application/json' \
  -d '{
    "audience": "https://api.staging.alluvial.finance",
  "grant_type": "client_credentials",
  "client_id": "<YOUR_CLIENT_ID>",
  "client_secret": "<YOUR_CLIENT_SECRET>"
}'
{
  "access_token": "eyJz93a...k4laUZw",
  "scope": "read:eth-oracle...read:eth-operators",
  "expires_in": 86400,
  "token_type": "Bearer"
}

Staging

Production

curl -X 'POST' \
  'https://auth.alluvial.finance/oauth/token' \
  -H 'content-type: application/json' \
  -d '{
    "audience": "https://api.alluvial.finance",
  "grant_type": "client_credentials",
  "client_id": "<YOUR_CLIENT_ID>",
  "client_secret": "<YOUR_CLIENT_SECRET>"
}'
{
  "access_token": "eyJz93a...k4laUWw",
  "scope": "read:eth-oracle...read:eth-operators",
  "expires_in": 86400,
  "token_type": "Bearer"
}

permissions.redemption

boolean

Whether the wallet has permission to redeem lsSOL

boolean

Yes

Grant permission to redeem lsSOL

permissions.redemption

boolean

Whether the wallet has permission to redeem lsSOL

created_at

string

ISO 8601 timestamp when the wallet was allowlisted

List latest high-level protocol info

get

List latest available high-level protocol

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
200

OK

application/json
a_srr_7dstringOptionalExample: 3.9712483
conversion_ratestringOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethstringOptionalExample: 0.1851
gross_fee_ratestringOptionalExample: 0.15
net_srr_7dstringOptionalExample: 3.375561055
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
protocol_service_fee_ratestringOptionalExample: 0.11
rewards_ethstringOptionalExample: 1.234
total_eth_stakedstringOptionalExample: 122007944.381
total_lseth_supplystringOptionalExample: 120520123.456789
total_protocol_active_keys_countintegerOptionalExample: 76
total_protocol_burns_lsethstringOptionalExample: 32
total_protocol_mints_lsethstringOptionalExample: 32
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/protocol
GET /eth/v1/protocol HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "a_srr_7d": "3.9712483",
  "conversion_rate": "1.012345",
  "date": "2023-01-02T03:04:05Z",
  "gross_fee_lseth": "0.1851",
  "gross_fee_rate": "0.15",
  "net_srr_7d": "3.375561055",
  "oracle_report": "f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef",
  "protocol_service_fee_rate": "0.11",
  "rewards_eth": "1.234",
  "total_eth_staked": "122007944.381",
  "total_lseth_supply": "120520123.456789",
  "total_protocol_active_keys_count": 76,
  "total_protocol_burns_lseth": "32",
  "total_protocol_mints_lseth": "32"
}

List high-level protocol info

get

List high-level protocol info for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
200

OK

application/json
a_srr_7dstringOptionalExample: 3.9712483
conversion_ratestringOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethstringOptionalExample: 0.1851
gross_fee_ratestringOptionalExample: 0.15
net_srr_7dstringOptionalExample: 3.375561055
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
protocol_service_fee_ratestringOptionalExample: 0.11
rewards_ethstringOptionalExample: 1.234
total_eth_stakedstringOptionalExample: 122007944.381
total_lseth_supplystringOptionalExample: 120520123.456789
total_protocol_active_keys_countintegerOptionalExample: 76
total_protocol_burns_lsethstringOptionalExample: 32
total_protocol_mints_lsethstringOptionalExample: 32
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/protocol/{date}
GET /eth/v1/protocol/{date} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "a_srr_7d": "3.9712483",
    "conversion_rate": "1.012345",
    "date": "2023-01-02T03:04:05Z",
    "gross_fee_lseth": "0.1851",
    "gross_fee_rate": "0.15",
    "net_srr_7d": "3.375561055",
    "oracle_report": "f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef",
    "protocol_service_fee_rate": "0.11",
    "rewards_eth": "1.234",
    "total_eth_staked": "122007944.381",
    "total_lseth_supply": "120520123.456789",
    "total_protocol_active_keys_count": 76,
    "total_protocol_burns_lseth": "32",
    "total_protocol_mints_lseth": "32"
  }
]

List wallet transactions

get

List wallet transactions for a given time period and wallet address

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Wallet address

Query parameters
fromstringOptional

Start date (default: 1 year ago)

tostringOptional

End date (default: current time)

csvstringOptional

Output as CSV

page_sizestringOptional

Page size (default: 100)

next_cursorstringOptional

Next cursor

Responses
200

OK

application/json
amount_ethnumberOptionalExample: 10
amount_lsethnumberOptionalExample: 9.5
conversion_ratenumberOptionalExample: 0.96
datestringOptionalExample: 2024-06-21
finalizedbooleanOptionalExample: true
transaction_hashstringOptionalExample: 0x5E9E16C6DEB4022399E4FCD387BCB59AC5855762
transaction_typestringOptionalExample: Deposit
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/wallet/{address}/transactions
GET /eth/v1/wallet/{address}/transactions HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "amount_eth": 10,
      "amount_lseth": 9.5,
      "conversion_rate": 0.96,
      "date": "2024-06-21",
      "finalized": true,
      "transaction_hash": "0x5E9E16C6DEB4022399E4FCD387BCB59AC5855762",
      "transaction_type": "Deposit"
    }
  ],
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  }
}
get

List all platform fees for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
page_sizeintegerOptional

Number of oracle reports per page (1-1000, default 100)

next_cursorstringOptional

Cursor returned from previous page

Responses
200

OK

application/json
conversion_ratenumberOptionalExample: 1.012345
cumulative_eth_supplynumberOptionalExample: 120520123.456789
cumulative_lseth_supplynumberOptionalExample: 120520123.456789
datestringOptionalExample: 2023-01-02T03:04:05Z
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
org_idstringOptionalExample: org_example1234
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
period_lc_fees_lsethnumberOptionalExample: 0.00001234567
period_lc_fees_ratenumberOptionalExample: 0.0015
period_operator_fees_lsethnumberOptionalExample: 0.000123456789
period_operator_fees_ratenumberOptionalExample: 0.0035
period_originator_fees_lsethnumberOptionalExample: 0.000123456789
period_originator_fees_ratenumberOptionalExample: 0.0035
period_protocol_fee_lsethnumberOptionalExample: 0.0001234
period_protocol_fee_ratenumberOptionalExample: 0.1
period_tech_provider_fees_lsethnumberOptionalExample: 0.0000123456789
period_tech_provider_fees_ratenumberOptionalExample: 0.0035
adjusted_cumulative_platform_net_outflows_fees_lsethnumberOptionalExample: 0.0001234567
adjusted_cumulative_platform_net_outflows_transfers_lsethnumberOptionalExample: 0.0001234567
cumulative_platform_burns_lsethnumberOptionalExample: 32.1234
cumulative_platform_fees_received_from_lc_lsethnumberOptionalExample: 0.0001234567
cumulative_platform_mints_lsethnumberOptionalExample: 32.1234
cumulative_platform_net_outflows_lsethnumberOptionalExample: 0.0001234567
cumulative_platform_transfers_in_lsethnumberOptionalExample: 0.0001234567
cumulative_platform_transfers_out_lsethnumberOptionalExample: 0.0001234567
cumulative_protocol_on_platform_lsethnumberOptionalExample: 0.0001234567
cumulative_protocol_outflows_lsethnumberOptionalExample: 0.0001234567
period_off_platform_allocated_fees_lsethnumberOptionalExample: 0.0001234567
period_off_platform_balance_lsethnumberOptionalExample: 0.0001234567
period_off_platform_fees_lsethnumberOptionalExample: 0.0001234567
period_platform_adjusted_net_outflows_lsethnumberOptionalExample: 0.0001234567
period_platform_outflow_rationumberOptionalExample: 0.0001234567
period_protocol_off_platform_gross_fee_lsethnumberOptionalExample: 0.0001234567
period_on_platform_allocated_fees_lsethnumberOptionalExample: 0.0001234567
period_on_platform_balance_lsethnumberOptionalExample: 120520123.456789
period_on_platform_fees_lsethnumberOptionalExample: 0.0001234567
period_on_platform_rationumberOptionalExample: 0.0001234567
period_fees_lsethnumberOptionalExample: 0.0001234567
period_fees_ratenumberOptionalExample: 0.097
period_platform_balance_lsethnumberOptionalExample: 0.0001234567
versionintegerOptionalExample: 3
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/platforms/{date}
GET /eth/v1/platforms/{date} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "conversion_rate": 1.012345,
      "cumulative_eth_supply": 120520123.456789,
      "cumulative_lseth_supply": 120520123.456789,
      "date": "2023-01-02T03:04:05Z",
      "oracle_report": "f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef",
      "org_id": "org_example1234",
      "period": {
        "end": "2024-01-31T23:59:59Z",
        "end_epoch": 257200,
        "start": "2024-01-01T00:00:00Z",
        "start_epoch": 250000
      },
      "period_lc_fees_lseth": 0.00001234567,
      "period_lc_fees_rate": 0.0015,
      "period_operator_fees_lseth": 0.000123456789,
      "period_operator_fees_rate": 0.0035,
      "period_originator_fees_lseth": 0.000123456789,
      "period_originator_fees_rate": 0.0035,
      "period_protocol_fee_lseth": 0.0001234,
      "period_protocol_fee_rate": 0.1,
      "period_tech_provider_fees_lseth": 0.0000123456789,
      "period_tech_provider_fees_rate": 0.0035,
      "platform": {
        "off_platform_rebate": {
          "adjusted_cumulative_platform_net_outflows_fees_lseth": 0.0001234567,
          "adjusted_cumulative_platform_net_outflows_transfers_lseth": 0.0001234567,
          "cumulative_platform_burns_lseth": 32.1234,
          "cumulative_platform_fees_received_from_lc_lseth": 0.0001234567,
          "cumulative_platform_mints_lseth": 32.1234,
          "cumulative_platform_net_outflows_lseth": 0.0001234567,
          "cumulative_platform_transfers_in_lseth": 0.0001234567,
          "cumulative_platform_transfers_out_lseth": 0.0001234567,
          "cumulative_protocol_on_platform_lseth": 0.0001234567,
          "cumulative_protocol_outflows_lseth": 0.0001234567,
          "period_off_platform_allocated_fees_lseth": 0.0001234567,
          "period_off_platform_balance_lseth": 0.0001234567,
          "period_off_platform_fees_lseth": 0.0001234567,
          "period_platform_adjusted_net_outflows_lseth": 0.0001234567,
          "period_platform_outflow_ratio": 0.0001234567,
          "period_protocol_off_platform_gross_fee_lseth": 0.0001234567
        },
        "on_platform_rebate": {
          "period_on_platform_allocated_fees_lseth": 0.0001234567,
          "period_on_platform_balance_lseth": 120520123.456789,
          "period_on_platform_fees_lseth": 0.0001234567,
          "period_on_platform_ratio": 0.0001234567
        },
        "period_fees_lseth": 0.0001234567,
        "period_fees_rate": 0.097,
        "period_platform_balance_lseth": 0.0001234567
      },
      "version": 3
    }
  ],
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  }
}
get

List all originator fees for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
page_sizeintegerOptional

Number of oracle reports per page (1-1000, default 100)

next_cursorstringOptional

Cursor returned from previous page

Responses
200

OK

application/json
conversion_ratenumberOptionalExample: 1.012345
cumulative_eth_supplynumberOptionalExample: 120520123.456789
cumulative_lseth_supplynumberOptionalExample: 120520123.456789
datestringOptionalExample: 2023-01-02T03:04:05Z
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
org_idstringOptionalExample: org_example1234
period_originator_attributed_allocated_fees_lsethnumberOptionalExample: 0.0001234567
period_originator_attributed_balance_lsethnumberOptionalExample: 120520123.456789
period_originator_attributed_fees_lsethnumberOptionalExample: 0.0001234567
period_originator_attributed_rationumberOptionalExample: 0.0001234567
period_fees_lsethnumberOptionalExample: 0.0001234567
period_fees_ratenumberOptionalExample: 0.097
period_originator_balance_lsethnumberOptionalExample: 0.0001234567
adjusted_cumulative_originator_net_outflows_fees_lsethnumberOptionalExample: 0.0001234567
cumulative_originator_attributed_lsethnumberOptionalExample: 0.0001234567
cumulative_originator_burns_lsethnumberOptionalExample: 32.1234
cumulative_originator_fees_received_from_lc_lsethnumberOptionalExample: 0.0001234567
cumulative_originator_mints_lsethnumberOptionalExample: 32.1234
cumulative_originator_net_outflows_lsethnumberOptionalExample: 0.0001234567
cumulative_protocol_originator_outflows_lsethnumberOptionalExample: 0.0001234567
period_originator_adjusted_total_net_outflows_lsethnumberOptionalExample: 0.0001234567
period_originator_outflow_rationumberOptionalExample: 0.0001234567
period_unattributed_allocated_fees_lsethnumberOptionalExample: 0.0001234567
period_unattributed_balance_lsethnumberOptionalExample: 0.0001234567
period_unattributed_fees_lsethnumberOptionalExample: 0.0001234567
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
period_protocol_fee_lsethnumberOptionalExample: 0.0001234
period_protocol_fee_ratenumberOptionalExample: 0.1
versionintegerOptionalExample: 3
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/originators/{date}
GET /eth/v1/originators/{date} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "conversion_rate": 1.012345,
      "cumulative_eth_supply": 120520123.456789,
      "cumulative_lseth_supply": 120520123.456789,
      "date": "2023-01-02T03:04:05Z",
      "oracle_report": "f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef",
      "org_id": "org_example1234",
      "originator": {
        "attributed_rebate": {
          "period_originator_attributed_allocated_fees_lseth": 0.0001234567,
          "period_originator_attributed_balance_lseth": 120520123.456789,
          "period_originator_attributed_fees_lseth": 0.0001234567,
          "period_originator_attributed_ratio": 0.0001234567
        },
        "period_fees_lseth": 0.0001234567,
        "period_fees_rate": 0.097,
        "period_originator_balance_lseth": 0.0001234567,
        "unattributed_rebate": {
          "adjusted_cumulative_originator_net_outflows_fees_lseth": 0.0001234567,
          "cumulative_originator_attributed_lseth": 0.0001234567,
          "cumulative_originator_burns_lseth": 32.1234,
          "cumulative_originator_fees_received_from_lc_lseth": 0.0001234567,
          "cumulative_originator_mints_lseth": 32.1234,
          "cumulative_originator_net_outflows_lseth": 0.0001234567,
          "cumulative_protocol_originator_outflows_lseth": 0.0001234567,
          "period_originator_adjusted_total_net_outflows_lseth": 0.0001234567,
          "period_originator_outflow_ratio": 0.0001234567,
          "period_unattributed_allocated_fees_lseth": 0.0001234567,
          "period_unattributed_balance_lseth": 0.0001234567,
          "period_unattributed_fees_lseth": 0.0001234567
        }
      },
      "period": {
        "end": "2024-01-31T23:59:59Z",
        "end_epoch": 257200,
        "start": "2024-01-01T00:00:00Z",
        "start_epoch": 250000
      },
      "period_protocol_fee_lseth": 0.0001234,
      "period_protocol_fee_rate": 0.1,
      "version": 3
    }
  ],
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  }
}

List operator fees

get

List platform operator fees for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
page_sizeintegerOptional

Number of oracle reports per page (1-1000, default 100)

next_cursorstringOptional

Cursor returned from previous page

Responses
200

OK

application/json
conversion_ratenumberOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
end_operator_active_keys_countintegerOptionalExample: 5
end_operator_active_keys_rationumberOptionalExample: 0.5
end_protocol_active_keys_countintegerOptionalExample: 10
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
org_idstringOptionalExample: org_example1234
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
period_all_operators_fees_lsethnumberOptionalExample: 0.00012
period_operator_fees_lsethnumberOptionalExample: 0.00006
versionintegerOptionalExample: 3
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/operators/{date}
GET /eth/v1/operators/{date} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "conversion_rate": 1.012345,
      "date": "2023-01-02T03:04:05Z",
      "end_operator_active_keys_count": 5,
      "end_operator_active_keys_ratio": 0.5,
      "end_protocol_active_keys_count": 10,
      "oracle_report": "f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef",
      "org_id": "org_example1234",
      "period": {
        "end": "2024-01-31T23:59:59Z",
        "end_epoch": 257200,
        "start": "2024-01-01T00:00:00Z",
        "start_epoch": 250000
      },
      "period_all_operators_fees_lseth": 0.00012,
      "period_operator_fees_lseth": 0.00006,
      "version": 3
    }
  ],
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  }
}
post

List rewards for a time period

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
page_sizeintegerOptional

Number of lots per page (default: 100, max: 1000)

next_cursorstringOptional

Cursor for next page of lots

Bodyobject · message.GetRewardV4Req[]
balance_lsethstringOptionalExample: 0.382748642252721461
display_ethbooleanOptionalDefault: trueExample: false
endstringOptionalExample: 2024-01-31
startstringOptionalExample: 2024-01-01
Responses
200

OK

application/json
end_balance_lsethstringOptional
end_position_value_ethstringOptional
balance_lsethnumberOptionalExample: 0.3827486422527215
endstringOptionalExample: 2024-01-31
end_conversion_ratenumberOptionalExample: 1.037253225665527
end_position_value_ethnumberOptionalExample: 0.00003930554936445
net_rewards_ethnumberOptionalExample: 0.00003930554936445
net_rewards_lsethnumberOptionalExample: 0.000038075574334017
principal_ethnumberOptional
startstringOptionalExample: 2024-01-01
start_conversion_ratenumberOptionalExample: 1.0371537463463845
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
period_net_rewards_ethstringOptional
period_net_rewards_lsethstringOptionalExample: 0.00003930554936445
position_apystringOptional
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
post/eth/v1/rewards
POST /eth/v1/rewards HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

[
  {
    "balance_lseth": "0.382748642252721461",
    "display_eth": false,
    "end": "2024-01-31",
    "start": "2024-01-01"
  }
]
{
  "end_balance_lseth": "text",
  "end_position_value_eth": "text",
  "lots": [
    {
      "balance_lseth": 0.3827486422527215,
      "end": "2024-01-31",
      "end_conversion_rate": 1.037253225665527,
      "end_position_value_eth": 0.00003930554936445,
      "net_rewards_eth": 0.00003930554936445,
      "net_rewards_lseth": 0.000038075574334017,
      "principal_eth": 1,
      "start": "2024-01-01",
      "start_conversion_rate": 1.0371537463463845
    }
  ],
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  },
  "period": {
    "end": "2024-01-31T23:59:59Z",
    "end_epoch": 257200,
    "start": "2024-01-01T00:00:00Z",
    "start_epoch": 250000
  },
  "period_net_rewards_eth": "text",
  "period_net_rewards_lseth": "0.00003930554936445",
  "position_apy": "text"
}
post

List rewards by account for a specific date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accountsstring[]OptionalExample: ["bb3e6114-af15-43a6-9b36-a5ec011d9d95"]
daystringOptionalExample: 2024-04-11
include_breakdown_detailsbooleanOptionalExample: false
Responses
200

OK

application/json
account_idstringOptionalExample: bb3e6114-af15-43a6-9b36-a5ec011d9d95
cumulative_net_rewards_ethnumberOptionalExample: 0.00003930554936445
end_balance_lsethnumberOptionalExample: 0.3827486422527215
end_position_value_ethnumberOptionalExample: 0.4235486422527215
period_net_rewards_ethnumberOptionalExample: 0.00003930554936445
daystringOptionalExample: 2024-04-11
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
account_idstringOptionalExample: ab3e5114-af15-45b8-9c43-a5ec011d9d95
addressstringOptionalExample: 0x30e2a735D692fC28CD31C28F1A8259b4790f9A23
avg_srr_histstringOptionalExample: 0.00534633387
cumulative_burns_lsethstringOptionalExample: 0.109
cumulative_gross_rewards_ethstringOptionalExample: 0.000006264174837104
cumulative_lc_fees_ethstringOptionalExample: 0.000000439297316428
cumulative_mints_lsethstringOptionalExample: 0.49174864225272146
cumulative_net_rewards_ethstringOptionalExample: 0.00003930554936445
cumulative_operator_fees_ethstringOptionalExample: 0.000006264174837104
cumulative_originator_fees_ethstringOptionalExample: 0.000006264174837104
cumulative_platform_fees_ethstringOptionalExample: 0.000005364051442679
cumulative_protocol_fees_ethstringOptionalExample: 0.000006936273417258
cumulative_tech_provider_fees_ethstringOptionalExample: 0.000000161846379739
daystringOptionalExample: 2024-04-11
end_balance_lsethstringOptionalExample: 0.382748642252721461
end_conversion_ratestringOptionalExample: 1.037253225665527
oracle_reportstringOptionalExample: 68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164
org_idstringOptionalExample: org_aDL0aCAXyWYgHQ4W
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
period_burns_lsethstringOptionalExample: 0.1
period_gross_rewards_ethstringOptionalExample: 0.000006264174837104
period_lc_fees_ethstringOptionalExample: 0.000000425550536674
period_mints_lsethstringOptionalExample: 0.482088602351740421
period_net_rewards_ethstringOptionalExample: 0.000038075574334017
period_operator_fees_ethstringOptionalExample: 0.000006264174837104
period_originator_fees_ethstringOptionalExample: 0.000006264174837104
period_platform_fees_ethstringOptionalExample: 0.00000519619602676
period_protocol_fee_ratestringOptionalExample: 0.000006264174837104
period_protocol_fees_ethstringOptionalExample: 0.000006719219000121
period_tech_provider_fees_ethstringOptionalExample: 0.000000156781776669
start_conversion_ratestringOptionalExample: 1.0371537463463845
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
post/eth/v1/rewards/accounts
POST /eth/v1/rewards/accounts HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 106

{
  "accounts": [
    "bb3e6114-af15-43a6-9b36-a5ec011d9d95"
  ],
  "day": "2024-04-11",
  "include_breakdown_details": false
}
[
  {
    "account_id": "bb3e6114-af15-43a6-9b36-a5ec011d9d95",
    "account_totals": {
      "cumulative_net_rewards_eth": 0.00003930554936445,
      "end_balance_lseth": 0.3827486422527215,
      "end_position_value_eth": 0.4235486422527215,
      "period_net_rewards_eth": 0.00003930554936445
    },
    "day": "2024-04-11",
    "period": {
      "end": "2024-01-31T23:59:59Z",
      "end_epoch": 257200,
      "start": "2024-01-01T00:00:00Z",
      "start_epoch": 250000
    },
    "wallets": [
      {
        "account_id": "ab3e5114-af15-45b8-9c43-a5ec011d9d95",
        "address": "0x30e2a735D692fC28CD31C28F1A8259b4790f9A23",
        "avg_srr_hist": "0.00534633387",
        "cumulative_burns_lseth": "0.109",
        "cumulative_gross_rewards_eth": "0.000006264174837104",
        "cumulative_lc_fees_eth": "0.000000439297316428",
        "cumulative_mints_lseth": "0.49174864225272146",
        "cumulative_net_rewards_eth": "0.00003930554936445",
        "cumulative_operator_fees_eth": "0.000006264174837104",
        "cumulative_originator_fees_eth": "0.000006264174837104",
        "cumulative_platform_fees_eth": "0.000005364051442679",
        "cumulative_protocol_fees_eth": "0.000006936273417258",
        "cumulative_tech_provider_fees_eth": "0.000000161846379739",
        "day": "2024-04-11",
        "end_balance_lseth": "0.382748642252721461",
        "end_conversion_rate": "1.037253225665527",
        "oracle_report": "68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164",
        "org_id": "org_aDL0aCAXyWYgHQ4W",
        "period": {
          "end": "2024-01-31T23:59:59Z",
          "end_epoch": 257200,
          "start": "2024-01-01T00:00:00Z",
          "start_epoch": 250000
        },
        "period_burns_lseth": "0.1",
        "period_gross_rewards_eth": "0.000006264174837104",
        "period_lc_fees_eth": "0.000000425550536674",
        "period_mints_lseth": "0.482088602351740421",
        "period_net_rewards_eth": "0.000038075574334017",
        "period_operator_fees_eth": "0.000006264174837104",
        "period_originator_fees_eth": "0.000006264174837104",
        "period_platform_fees_eth": "0.00000519619602676",
        "period_protocol_fee_rate": "0.000006264174837104",
        "period_protocol_fees_eth": "0.000006719219000121",
        "period_tech_provider_fees_eth": "0.000000156781776669",
        "start_conversion_rate": "1.0371537463463845"
      }
    ]
  }
]

List wallet rewards

post

List rewards by wallet for a specific date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
addressesstring[]OptionalExample: ["0x30e2a735D692fC28CD31C28F1A8259b4790f9A23"]
daystringOptionalExample: 2024-04-11
include_breakdown_detailsbooleanOptionalExample: false
Responses
200

OK

application/json
account_idstringOptionalExample: ab3e5114-af15-45b8-9c43-a5ec011d9d95
addressstringOptionalExample: 0x30e2a735D692fC28CD31C28F1A8259b4790f9A23
avg_srr_histstringOptionalExample: 0.00534633387
cumulative_burns_lsethstringOptionalExample: 0.109
cumulative_gross_rewards_ethstringOptionalExample: 0.000006264174837104
cumulative_lc_fees_ethstringOptionalExample: 0.000000439297316428
cumulative_mints_lsethstringOptionalExample: 0.49174864225272146
cumulative_net_rewards_ethstringOptionalExample: 0.00003930554936445
cumulative_operator_fees_ethstringOptionalExample: 0.000006264174837104
cumulative_originator_fees_ethstringOptionalExample: 0.000006264174837104
cumulative_platform_fees_ethstringOptionalExample: 0.000005364051442679
cumulative_protocol_fees_ethstringOptionalExample: 0.000006936273417258
cumulative_tech_provider_fees_ethstringOptionalExample: 0.000000161846379739
daystringOptionalExample: 2024-04-11
end_balance_lsethstringOptionalExample: 0.382748642252721461
end_conversion_ratestringOptionalExample: 1.037253225665527
oracle_reportstringOptionalExample: 68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164
org_idstringOptionalExample: org_aDL0aCAXyWYgHQ4W
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
period_burns_lsethstringOptionalExample: 0.1
period_gross_rewards_ethstringOptionalExample: 0.000006264174837104
period_lc_fees_ethstringOptionalExample: 0.000000425550536674
period_mints_lsethstringOptionalExample: 0.482088602351740421
period_net_rewards_ethstringOptionalExample: 0.000038075574334017
period_operator_fees_ethstringOptionalExample: 0.000006264174837104
period_originator_fees_ethstringOptionalExample: 0.000006264174837104
period_platform_fees_ethstringOptionalExample: 0.00000519619602676
period_protocol_fee_ratestringOptionalExample: 0.000006264174837104
period_protocol_fees_ethstringOptionalExample: 0.000006719219000121
period_tech_provider_fees_ethstringOptionalExample: 0.000000156781776669
start_conversion_ratestringOptionalExample: 1.0371537463463845
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
post/eth/v1/rewards/wallets
POST /eth/v1/rewards/wallets HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "addresses": [
    "0x30e2a735D692fC28CD31C28F1A8259b4790f9A23"
  ],
  "day": "2024-04-11",
  "include_breakdown_details": false
}
[
  {
    "account_id": "ab3e5114-af15-45b8-9c43-a5ec011d9d95",
    "address": "0x30e2a735D692fC28CD31C28F1A8259b4790f9A23",
    "avg_srr_hist": "0.00534633387",
    "cumulative_burns_lseth": "0.109",
    "cumulative_gross_rewards_eth": "0.000006264174837104",
    "cumulative_lc_fees_eth": "0.000000439297316428",
    "cumulative_mints_lseth": "0.49174864225272146",
    "cumulative_net_rewards_eth": "0.00003930554936445",
    "cumulative_operator_fees_eth": "0.000006264174837104",
    "cumulative_originator_fees_eth": "0.000006264174837104",
    "cumulative_platform_fees_eth": "0.000005364051442679",
    "cumulative_protocol_fees_eth": "0.000006936273417258",
    "cumulative_tech_provider_fees_eth": "0.000000161846379739",
    "day": "2024-04-11",
    "end_balance_lseth": "0.382748642252721461",
    "end_conversion_rate": "1.037253225665527",
    "oracle_report": "68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164",
    "org_id": "org_aDL0aCAXyWYgHQ4W",
    "period": {
      "end": "2024-01-31T23:59:59Z",
      "end_epoch": 257200,
      "start": "2024-01-01T00:00:00Z",
      "start_epoch": 250000
    },
    "period_burns_lseth": "0.1",
    "period_gross_rewards_eth": "0.000006264174837104",
    "period_lc_fees_eth": "0.000000425550536674",
    "period_mints_lseth": "0.482088602351740421",
    "period_net_rewards_eth": "0.000038075574334017",
    "period_operator_fees_eth": "0.000006264174837104",
    "period_originator_fees_eth": "0.000006264174837104",
    "period_platform_fees_eth": "0.00000519619602676",
    "period_protocol_fee_rate": "0.000006264174837104",
    "period_protocol_fees_eth": "0.000006719219000121",
    "period_tech_provider_fees_eth": "0.000000156781776669",
    "start_conversion_rate": "1.0371537463463845"
  }
]
get

Get reward summary for an account with new V4 parameter structure

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrKeystringRequired

Account ID or key

Query parameters
startstringOptional

Start date (YYYY-MM-DD format, defaults to 1 month ago)

endstringOptional

End date (YYYY-MM-DD format, defaults to current time)

include_breakdown_detailsbooleanOptional

Include daily breakdown details (default: false)

page_sizeintegerOptional

Number of daily reports per page (default: 100, max: 1000)

next_cursorstringOptional

Cursor for next page of daily reports

Responses
200

OK

application/json
account_idstringOptionalExample: ab3e5114-af15-45b8-9c43-a5ec011d9d95
end_conversion_ratenumberOptionalExample: 1.0454865181649966
org_idstringOptionalExample: org_aDs4aCACyWYgMQ4A
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
burns_lsethnumberOptionalExample: 0
gross_rewards_ethnumberOptionalExample: 0.000045747124673728
lc_fees_ethnumberOptionalExample: 4.345976844e-7
mints_lsethnumberOptionalExample: 0.00099376738985375
net_rewards_ethnumberOptionalExample: 0.000038959833189463
operator_fees_ethnumberOptionalExample: 8.189616111e-7
originator_fees_ethnumberOptionalExample: 7.868546e-10
platform_fees_ethnumberOptionalExample: 0.000005236375878362
protocol_fees_ethnumberOptionalExample: 0.000006787291484265
tech_provider_fees_ethnumberOptionalExample: 1.601149364e-7
start_conversion_ratenumberOptionalExample: 1.006282340620787
account_idstringOptionalExample: ab3e5114-af15-45b8-9c43-a5ec011d9d95
addressstringOptionalExample: 0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660
addressstringOptionalExample: 0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660
balance_lsethnumberOptionalExample: 0.00099376738985375
conversion_ratenumberOptionalExample: 1.006282340620787
daily_burns_lsethnumberOptionalExample: 2.22405e-13
daily_gross_rewards_ethnumberOptionalExample: 0.000006264174837104
daily_lc_fees_ethnumberOptionalExample: 7.868546e-10
daily_mints_lsethnumberOptionalExample: 4.45541235e-8
daily_net_rewards_ethnumberOptionalExample: 7.45441235e-8
daily_operator_fees_ethnumberOptionalExample: 1.2424021e-9
daily_originator_fees_ethnumberOptionalExample: 7.868546e-10
daily_platform_fees_ethnumberOptionalExample: 5.7150495e-9
daily_protocol_fee_ratenumberOptionalExample: 0.000006264174837104
daily_protocol_fees_ethnumberOptionalExample: 8.28268039e-8
daily_tech_provider_fees_ethnumberOptionalExample: 2.898938e-10
datestringOptionalExample: 2024-04-01
oracle_reportstringOptionalExample: 68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164
previous_conversion_ratenumberOptionalExample: 1.0371537463463845
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/rewards/accounts/{idOrKey}/summary
GET /eth/v1/rewards/accounts/{idOrKey}/summary HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "account_id": "ab3e5114-af15-45b8-9c43-a5ec011d9d95",
    "end_conversion_rate": 1.0454865181649966,
    "org_id": "org_aDs4aCACyWYgMQ4A",
    "period": {
      "end": "2024-01-31T23:59:59Z",
      "end_epoch": 257200,
      "start": "2024-01-01T00:00:00Z",
      "start_epoch": 250000
    },
    "period_account_totals": {
      "burns_lseth": 0,
      "gross_rewards_eth": 0.000045747124673728,
      "lc_fees_eth": 4.345976844e-7,
      "mints_lseth": 0.00099376738985375,
      "net_rewards_eth": 0.000038959833189463,
      "operator_fees_eth": 8.189616111e-7,
      "originator_fees_eth": 7.868546e-10,
      "platform_fees_eth": 0.000005236375878362,
      "protocol_fees_eth": 0.000006787291484265,
      "tech_provider_fees_eth": 1.601149364e-7
    },
    "start_conversion_rate": 1.006282340620787,
    "wallets": [
      {
        "account_id": "ab3e5114-af15-45b8-9c43-a5ec011d9d95",
        "address": "0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660",
        "daily_reports": [
          {
            "address": "0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660",
            "balance_lseth": 0.00099376738985375,
            "conversion_rate": 1.006282340620787,
            "daily_burns_lseth": 2.22405e-13,
            "daily_gross_rewards_eth": 0.000006264174837104,
            "daily_lc_fees_eth": 7.868546e-10,
            "daily_mints_lseth": 4.45541235e-8,
            "daily_net_rewards_eth": 7.45441235e-8,
            "daily_operator_fees_eth": 1.2424021e-9,
            "daily_originator_fees_eth": 7.868546e-10,
            "daily_platform_fees_eth": 5.7150495e-9,
            "daily_protocol_fee_rate": 0.000006264174837104,
            "daily_protocol_fees_eth": 8.28268039e-8,
            "daily_tech_provider_fees_eth": 2.898938e-10,
            "date": "2024-04-01",
            "oracle_report": "68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164",
            "previous_conversion_rate": 1.0371537463463845
          }
        ]
      }
    ]
  },
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  }
}
get

Get reward summary for a wallet address with new V4 parameter structure

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrAddressstringRequired

Wallet ID or address (0x-prefixed hex)

Query parameters
startstringOptional

Start date (YYYY-MM-DD format, defaults to 1 month ago)

endstringOptional

End date (YYYY-MM-DD format, defaults to current time)

include_breakdown_detailsbooleanOptional

Include daily breakdown details (default: false)

page_sizeintegerOptional

Number of daily reports per page (default: 100, max: 1000)

next_cursorstringOptional

Cursor for next page of daily reports

Responses
200

OK

application/json
account_idstringOptionalExample: ab3e5114-af15-45b8-9c43-a5ec011d9d95
addressstringOptionalExample: 0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660
addressstringOptionalExample: 0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660
balance_lsethnumberOptionalExample: 0.00099376738985375
conversion_ratenumberOptionalExample: 1.006282340620787
daily_burns_lsethnumberOptionalExample: 2.22405e-13
daily_gross_rewards_ethnumberOptionalExample: 0.000006264174837104
daily_lc_fees_ethnumberOptionalExample: 7.868546e-10
daily_mints_lsethnumberOptionalExample: 4.45541235e-8
daily_net_rewards_ethnumberOptionalExample: 7.45441235e-8
daily_operator_fees_ethnumberOptionalExample: 1.2424021e-9
daily_originator_fees_ethnumberOptionalExample: 7.45441235e-8
daily_platform_fees_ethnumberOptionalExample: 5.7150495e-9
daily_protocol_fee_ratenumberOptionalExample: 0.000006264174837104
daily_protocol_fees_ethnumberOptionalExample: 8.28268039e-8
daily_tech_provider_fees_ethnumberOptionalExample: 2.898938e-10
datestringOptionalExample: 2024-04-01
oracle_reportstringOptionalExample: 68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164
previous_conversion_ratenumberOptionalExample: 1.0371537463463845
end_conversion_ratenumberOptionalExample: 1.0454865181649966
org_idstringOptionalExample: org_aDs4aCACyWYgMQ4A
endstringOptionalExample: 2024-01-31T23:59:59Z
end_epochintegerOptionalExample: 257200
startstringOptionalExample: 2024-01-01T00:00:00Z
start_epochintegerOptionalExample: 250000
burns_lsethnumberOptionalExample: 0
gross_rewards_ethnumberOptionalExample: 0.000045747124673728
lc_fees_ethnumberOptionalExample: 4.345976844e-7
mints_lsethnumberOptionalExample: 0.00099376738985375
net_rewards_ethnumberOptionalExample: 0.000038959833189463
operator_fees_ethnumberOptionalExample: 8.189616111e-7
originator_fees_ethnumberOptionalExample: 7.868546e-10
platform_fees_ethnumberOptionalExample: 0.000005236375878362
protocol_fees_ethnumberOptionalExample: 0.000006787291484265
tech_provider_fees_ethnumberOptionalExample: 1.601149364e-7
start_conversion_ratenumberOptionalExample: 1.006282340620787
next_cursorstringOptional

Opaque base64url-encoded pagination cursor. Pass as next_cursor on the next request to retrieve the next page. Absent when no further pages exist.

Example: eyJpbmRleCI6MX0
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/rewards/wallets/{idOrAddress}/summary
GET /eth/v1/rewards/wallets/{idOrAddress}/summary HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "account_id": "ab3e5114-af15-45b8-9c43-a5ec011d9d95",
    "address": "0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660",
    "daily_reports": [
      {
        "address": "0xF523F31Acf07Ff41D2616f9c1b73E762Ba8E5660",
        "balance_lseth": 0.00099376738985375,
        "conversion_rate": 1.006282340620787,
        "daily_burns_lseth": 2.22405e-13,
        "daily_gross_rewards_eth": 0.000006264174837104,
        "daily_lc_fees_eth": 7.868546e-10,
        "daily_mints_lseth": 4.45541235e-8,
        "daily_net_rewards_eth": 7.45441235e-8,
        "daily_operator_fees_eth": 1.2424021e-9,
        "daily_originator_fees_eth": 7.45441235e-8,
        "daily_platform_fees_eth": 5.7150495e-9,
        "daily_protocol_fee_rate": 0.000006264174837104,
        "daily_protocol_fees_eth": 8.28268039e-8,
        "daily_tech_provider_fees_eth": 2.898938e-10,
        "date": "2024-04-01",
        "oracle_report": "68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164",
        "previous_conversion_rate": 1.0371537463463845
      }
    ],
    "end_conversion_rate": 1.0454865181649966,
    "org_id": "org_aDs4aCACyWYgMQ4A",
    "period": {
      "end": "2024-01-31T23:59:59Z",
      "end_epoch": 257200,
      "start": "2024-01-01T00:00:00Z",
      "start_epoch": 250000
    },
    "period_wallet_totals": {
      "burns_lseth": 0,
      "gross_rewards_eth": 0.000045747124673728,
      "lc_fees_eth": 4.345976844e-7,
      "mints_lseth": 0.00099376738985375,
      "net_rewards_eth": 0.000038959833189463,
      "operator_fees_eth": 8.189616111e-7,
      "originator_fees_eth": 7.868546e-10,
      "platform_fees_eth": 0.000005236375878362,
      "protocol_fees_eth": 0.000006787291484265,
      "tech_provider_fees_eth": 1.601149364e-7
    },
    "start_conversion_rate": 1.006282340620787
  },
  "metadata": {
    "next_cursor": "eyJpbmRleCI6MX0"
  }
}
get

Get global information about protocol token supplies

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
active_validator_countintegerOptional

Count of total validators minus stopped validators on the consensus layer

Example: 58
active_validators_eth_balancestringOptional

Total consensus ETH balance of all validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
block_numberintegerOptional

Height of the returned data

Example: 15034284
collected_rewardsstringOptional

Total collected rewards

Example: 3200000000000000000000
contract_eth_balancestringOptional

ETH balance on the contract in Wei

Example: 5000000000000000000
conversion_ratenumberOptional
deposit_countintegerOptional

Number of deposits

Example: 2
exited_validators_eth_balancestringOptional

Total ETH balance of exited validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
exiting_validators_eth_balancestringOptional

Total ETH balance of exiting validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
funded_validator_countintegerOptional

Count of funded validators

Example: 102
funded_valitor_countintegerOptional

Previous typo made, keeping for backwards compatibility

Example: 102
pending_validator_countintegerOptional

Count of funded validators and pending activation on the consensus layer (as reported by the Oracle)

Example: 2
pending_validators_eth_balancestringOptional

Total ETH balance of pending validators in GWei

Example: 64000000000000000000
rebalance_deposit_to_redeem_modebooleanOptionalExample: true
skimmed_validators_eth_balancestringOptional

Total ETH balance of skimmed withdrawals (as reported by the Oracle) in Wei

Example: 128000000000000000000
slashing_containment_modebooleanOptionalExample: false
stopped_validator_countintegerOptional

Count of stopped LC validators on the consensus layer (as reported by the Oracle)

Example: 42
total_eth_balancestringOptional

Total ETH balance managed by the River protocol in GWei

Example: 3200000000000000000000
total_eth_depositedstringOptional

Total ETH deposited

Example: 3200000000000000000000
total_supplystringOptional

Total LsETH supply

Example: 3200000000000000000000
total_validator_countintegerOptional

Count of all LC validators found on the consensus layer (as reported by the Oracle)

Example: 100
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/status
GET /eth/v1/status HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "active_validator_count": 58,
  "active_validators_eth_balance": "128000000000000000000",
  "block_number": 15034284,
  "collected_rewards": "3200000000000000000000",
  "contract_eth_balance": "5000000000000000000",
  "conversion_rate": 1,
  "deposit_count": 2,
  "exited_validators_eth_balance": "128000000000000000000",
  "exiting_validators_eth_balance": "128000000000000000000",
  "funded_validator_count": 102,
  "funded_valitor_count": 102,
  "pending_validator_count": 2,
  "pending_validators_eth_balance": "64000000000000000000",
  "rebalance_deposit_to_redeem_mode": true,
  "skimmed_validators_eth_balance": "128000000000000000000",
  "slashing_containment_mode": false,
  "stopped_validator_count": 42,
  "total_eth_balance": "3200000000000000000000",
  "total_eth_deposited": "3200000000000000000000",
  "total_supply": "3200000000000000000000",
  "total_validator_count": 100
}

Get status of the Ethereum protocol at a given block number

get

Get global information about protocol token supplies at a given block number

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_numberintegerRequired

Block height to query

Responses
200

OK

application/json
active_validator_countintegerOptional

Count of total validators minus stopped validators on the consensus layer

Example: 58
active_validators_eth_balancestringOptional

Total consensus ETH balance of all validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
block_numberintegerOptional

Height of the returned data

Example: 15034284
collected_rewardsstringOptional

Total collected rewards

Example: 3200000000000000000000
contract_eth_balancestringOptional

ETH balance on the contract in Wei

Example: 5000000000000000000
conversion_ratenumberOptional
deposit_countintegerOptional

Number of deposits

Example: 2
exited_validators_eth_balancestringOptional

Total ETH balance of exited validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
exiting_validators_eth_balancestringOptional

Total ETH balance of exiting validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
funded_validator_countintegerOptional

Count of funded validators

Example: 102
funded_valitor_countintegerOptional

Previous typo made, keeping for backwards compatibility

Example: 102
pending_validator_countintegerOptional

Count of funded validators and pending activation on the consensus layer (as reported by the Oracle)

Example: 2
pending_validators_eth_balancestringOptional

Total ETH balance of pending validators in GWei

Example: 64000000000000000000
rebalance_deposit_to_redeem_modebooleanOptionalExample: true
skimmed_validators_eth_balancestringOptional

Total ETH balance of skimmed withdrawals (as reported by the Oracle) in Wei

Example: 128000000000000000000
slashing_containment_modebooleanOptionalExample: false
stopped_validator_countintegerOptional

Count of stopped LC validators on the consensus layer (as reported by the Oracle)

Example: 42
total_eth_balancestringOptional

Total ETH balance managed by the River protocol in GWei

Example: 3200000000000000000000
total_eth_depositedstringOptional

Total ETH deposited

Example: 3200000000000000000000
total_supplystringOptional

Total LsETH supply

Example: 3200000000000000000000
total_validator_countintegerOptional

Count of all LC validators found on the consensus layer (as reported by the Oracle)

Example: 100
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/status/{block_number}
GET /eth/v1/status/{block_number} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "active_validator_count": 58,
  "active_validators_eth_balance": "128000000000000000000",
  "block_number": 15034284,
  "collected_rewards": "3200000000000000000000",
  "contract_eth_balance": "5000000000000000000",
  "conversion_rate": 1,
  "deposit_count": 2,
  "exited_validators_eth_balance": "128000000000000000000",
  "exiting_validators_eth_balance": "128000000000000000000",
  "funded_validator_count": 102,
  "funded_valitor_count": 102,
  "pending_validator_count": 2,
  "pending_validators_eth_balance": "64000000000000000000",
  "rebalance_deposit_to_redeem_mode": true,
  "skimmed_validators_eth_balance": "128000000000000000000",
  "slashing_containment_mode": false,
  "stopped_validator_count": 42,
  "total_eth_balance": "3200000000000000000000",
  "total_eth_deposited": "3200000000000000000000",
  "total_supply": "3200000000000000000000",
  "total_validator_count": 100
}

List LsETH balance of several addresses

get

List LsETH balance of several addresses It is possible to specify for which block and which addresses to get the balances.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
addressesstringOptional

Comma separated list of addresses (if empty returns all addresses)

block_numberintegerOptional

Block number at which to get balance for (latest by default)

limitintegerOptional

Limit of elements to return (100 by default)

Responses
200

OK

application/json
addressstringOptional

Owner address

Example: 0x123456789985ca04a69c35978c3a3e778d6ef172
balancestringOptional

LsETH balance

Example: 4200000000000000000000
block_numberintegerOptional

Block height of the balance

Example: 15034284
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/balances
GET /eth/v1/balances HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "address": "0x123456789985ca04a69c35978c3a3e778d6ef172",
    "balance": "4200000000000000000000",
    "block_number": 15034284
  }
]

Get LsETH balance of a given address

get

Get LsETH balance of a given address It is possible to specify for which block to get the balance at.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Account address to query the balance for

Query parameters
block_numberintegerOptional

Block number at which to get balance for (latest by default)

Responses
200

OK

application/json
addressstringOptional

Owner address

Example: 0x123456789985ca04a69c35978c3a3e778d6ef172
balancestringOptional

LsETH balance

Example: 4200000000000000000000
block_numberintegerOptional

Block height of the balance

Example: 15034284
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/balances/{address}
GET /eth/v1/balances/{address} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "address": "0x123456789985ca04a69c35978c3a3e778d6ef172",
  "balance": "4200000000000000000000",
  "block_number": 15034284
}

Get LsETH balance history

get

Get the LsETH balance history for a given address It returns a balance object for every block a balance change occurred It is possible to filter the history for a range of blocks

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Address of the balance to query balance for

Query parameters
from_blockintegerOptional

Starting block height to query (0 by default)

to_blockintegerOptional

Ending block height to query (latest by default)

limitintegerOptional

Limit of elements to return (100 by default)

Responses
200

OK

application/json
addressstringOptional

Owner address

Example: 0x123456789985ca04a69c35978c3a3e778d6ef172
balancestringOptional

LsETH balance

Example: 4200000000000000000000
block_numberintegerOptional

Block height of the balance

Example: 15034284
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/balances/{address}/history
GET /eth/v1/balances/{address}/history HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "address": "0x123456789985ca04a69c35978c3a3e778d6ef172",
    "balance": "4200000000000000000000",
    "block_number": 15034284
  }
]

List the smart contracts

get

List all the smart contracts addresses used

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
allowlisterstringOptional
deployment_blockintegerOptional
el_fee_recipientstringOptional
operators_registrystringOptional
oraclestringOptional
redeem_managerstringOptional
riverstringOptional
withdrawstringOptional
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/contracts
GET /eth/v1/contracts HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "allowlister": "text",
  "deployment_block": 1,
  "el_fee_recipient": "text",
  "operators_registry": "text",
  "oracle": "text",
  "redeem_manager": "text",
  "river": "text",
  "withdraw": "text"
}
get

List redeem requests filtered by owner addresses and/or specific redeem IDs. At least one of owner or ids must be provided. When both are set the filters are combined (AND): only redeems whose ID is in the list AND whose owner is in the list are returned. IDs not found are silently omitted.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
ownerstringOptional

Owner address(es), comma-separated. Required if ids is not set.

idsstringOptional

Comma-separated list of redeem request IDs (max 500). Required if owner is not set.

display_ethbooleanOptional

Include claimable_amount_eth in response (default: true)

Responses
200

OK

application/json
claimable_amount_ethstringOptional

The possible amount available to claim in ETH (only present when display_eth is true)

claimable_amount_lsethstringOptional

The possible amount available to claim in LsETH

claimed_amount_ethstringOptional

The amount already claimed in ETH

claimed_amount_lsethstringOptional

The amount already claimed in LsETH

heightstringOptional

The height is the cumulative sum of all the sizes of preceding redeem requests

idintegerOptional

The ID of the redeem request

Example: 1048576
max_redeemable_amount_ethstringOptional

The maximum amount of ETH redeemable by this request

ownerstringOptional

The owner of the redeem request

requested_atintegerOptional

Block time

status_claimstring · enumOptionalPossible values:
status_satisfactionstring · enumOptionalPossible values:
timestampstringOptional

Timestamp

total_amount_lsethstringOptional

The amount of the redeem request in LsETH

withdrawal_event_idintegerOptional

The withdrawal event ID needed to claim the redeem (or -1 when no withdrawals available)

Example: 42
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal Error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/redeems
GET /eth/v1/redeems HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "claimable_amount_eth": "text",
    "claimable_amount_lseth": "text",
    "claimed_amount_eth": "text",
    "claimed_amount_lseth": "text",
    "height": "text",
    "id": 1048576,
    "max_redeemable_amount_eth": "text",
    "owner": "text",
    "requested_at": 1,
    "status_claim": "NOT_CLAIMED",
    "status_satisfaction": "PENDING_SATISFACTION",
    "timestamp": "text",
    "total_amount_lseth": "text",
    "withdrawal_event_id": 42
  }
]

Get a redeem request by id (V1)

get

Get a redeem request by the request id. Optionally includes claimable ETH amount.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idxintegerRequired

The redeem request id to query

Query parameters
display_ethbooleanOptional

Include claimable_amount_eth in response (default: true)

Responses
200

OK

application/json
claimable_amount_ethstringOptional

The possible amount available to claim in ETH (only present when display_eth is true)

claimable_amount_lsethstringOptional

The possible amount available to claim in LsETH

claimed_amount_ethstringOptional

The amount already claimed in ETH

claimed_amount_lsethstringOptional

The amount already claimed in LsETH

heightstringOptional

The height is the cumulative sum of all the sizes of preceding redeem requests

idintegerOptional

The ID of the redeem request

Example: 1048576
max_redeemable_amount_ethstringOptional

The maximum amount of ETH redeemable by this request

ownerstringOptional

The owner of the redeem request

requested_atintegerOptional

Block time

status_claimstring · enumOptionalPossible values:
status_satisfactionstring · enumOptionalPossible values:
timestampstringOptional

Timestamp

total_amount_lsethstringOptional

The amount of the redeem request in LsETH

withdrawal_event_idintegerOptional

The withdrawal event ID needed to claim the redeem (or -1 when no withdrawals available)

Example: 42
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not Found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal Error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/redeems/{idx}
GET /eth/v1/redeems/{idx} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "claimable_amount_eth": "text",
  "claimable_amount_lseth": "text",
  "claimed_amount_eth": "text",
  "claimed_amount_lseth": "text",
  "height": "text",
  "id": 1048576,
  "max_redeemable_amount_eth": "text",
  "owner": "text",
  "requested_at": 1,
  "status_claim": "NOT_CLAIMED",
  "status_satisfaction": "PENDING_SATISFACTION",
  "timestamp": "text",
  "total_amount_lseth": "text",
  "withdrawal_event_id": 42
}

Get a redeem request time projection

get

Get a redeem request time projection for becoming redeemable. An upper bound modelled from the validator exit queue and withdrawal sweep, so delivery is expected on or before it. A request already covered by the withdrawal stack reports its real on-chain time instead. Returns 503 when no estimate is available, with a Retry-After when the condition is transient.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idxintegerRequired

The redeem request id to query

Responses
200

OK

application/json
projected_redeemable_atstringOptional
400

Bad Request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not Found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal Error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
503

Estimate unavailable; Retry-After is set only when retrying can help

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/redeems/{idx}/projection
GET /eth/v1/redeems/{idx}/projection HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "projected_redeemable_at": "text"
}

Get the redeem manager time projection

get

Projects the current unbonding time: broadly how long a redemption submitted now would take. It is the later of two bounds - how long the validator exit and withdrawal-sweep pipeline takes right now, and when everything already queued ahead clears - so it is never faster than the backlog, nor faster than a validator can be exited and swept. It is a queue indicator rather than a delivery bound for a specific redemption: it does not vary with the amount being redeemed, so a large enough one can land after it. Returns 503 when no estimate is available, with a Retry-After when the condition is transient.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
projected_fulfilled_atstringOptional
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal Error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
503

Estimate unavailable; Retry-After is set only when retrying can help

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/redeems_info/projection
GET /eth/v1/redeems_info/projection HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "projected_fulfilled_at": "text"
}

Returns validator exit queue info

get

Returns validator exit queue info, including time estimates.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
exit_time_hoursstringOptional
mandatory_exit_delay_hoursstringOptional
sweep_time_hoursstringOptional
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/eth/v1/validators/queue
GET /eth/v1/validators/queue HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "exit_time_hours": "text",
  "mandatory_exit_delay_hours": "text",
  "sweep_time_hours": "text"
}
post

Create a platform account with an ACTIVE status.

WARNING Integrators should make sure that the depositor has gone through an effective KYC/KYB process and is deemed within appetite to stake their ETH through the Liquid Collective.

When creating the depositor an integrator should supply a non-empty, unique identifying key (it can typically be an internal user identifier).

As long as a depositor remains in ACTIVE status, it is possible to attach wallets to it that will automatically be submitted to the protocol on-chain allowlist.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
keystringOptional

Unique identifier of the account (supplied by the client)

Example: depositor_example
Responses
201

Account has been created

application/json
created_atstringOptional

Time the account was created

Example: 2024-01-24T13:07:50.335845Z
idstringOptional

Identifier of the account (generated server side)

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
keystringOptional

Unique key identifying the account (supplied by the client when creating the account)

Example: depositor_example
org_idstringOptional

Organization identifier the account belongs to

Example: org_28CLGCvsdG7TlOHf
statusstringOptional

Status of the account (managed by the integrator)

Example: ACTIVE
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
post/v0/platform/accounts
POST /v0/platform/accounts HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "key": "depositor_example"
}
{
  "created_at": "2024-01-24T13:07:50.335845Z",
  "id": "ac0d0cdf-92bc-4cbe-a180-a2efb2387d16",
  "key": "depositor_example",
  "org_id": "org_28CLGCvsdG7TlOHf",
  "status": "ACTIVE"
}
get

List platform accounts

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
created_atstringOptional

Time the account was created

Example: 2024-01-24T13:07:50.335845Z
idstringOptional

Identifier of the account (generated server side)

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
keystringOptional

Unique key identifying the account (supplied by the client when creating the account)

Example: depositor_example
org_idstringOptional

Organization identifier the account belongs to

Example: org_28CLGCvsdG7TlOHf
statusstringOptional

Status of the account (managed by the integrator)

Example: ACTIVE | PAUSED | REMOVED | DENIED
account_idstringOptional

The account ID of the wallet

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
addressstringOptional

Wallet address in hexadecimal format with 0x prefix

Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
allowlistedbooleanOptional

Whether the wallet is allowlisted

Example: true
created_atstringOptional

Time the wallet was created

Example: 2024-01-25T13:07:50.335845Z
idstringOptional

Our UUID for this wallet

Example: dd8eefc8-0cc4-4a27-adc0-e1ebebed598d
on_platformbooleanOptional

Whether the wallet is on platform

Example: true
originator_org_idstringOptional

Originator of the wallet, value is an organization ID

Example: org_ABCDEF
statusstring · enumOptionalPossible values:
typestringOptional

The type of wallet - chain or protocol it exists on

Example: ETH
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/v0/platform/accounts
GET /v0/platform/accounts HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "created_at": "2024-01-24T13:07:50.335845Z",
    "id": "ac0d0cdf-92bc-4cbe-a180-a2efb2387d16",
    "key": "depositor_example",
    "org_id": "org_28CLGCvsdG7TlOHf",
    "status": "ACTIVE | PAUSED | REMOVED | DENIED",
    "wallets": [
      {
        "account_id": "ac0d0cdf-92bc-4cbe-a180-a2efb2387d16",
        "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
        "allowlisted": true,
        "created_at": "2024-01-25T13:07:50.335845Z",
        "id": "dd8eefc8-0cc4-4a27-adc0-e1ebebed598d",
        "on_platform": true,
        "originator_org_id": "org_ABCDEF",
        "status": "ALLOWLISTED",
        "type": "ETH"
      }
    ]
  }
]

Get platform account

get

Get platform account

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrKeystringRequired

Account ID or Key of the platform account

Responses
200

OK

application/json
created_atstringOptional

Time the account was created

Example: 2024-01-24T13:07:50.335845Z
idstringOptional

Identifier of the account (generated server side)

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
keystringOptional

Unique key identifying the account (supplied by the client when creating the account)

Example: depositor_example
org_idstringOptional

Organization identifier the account belongs to

Example: org_28CLGCvsdG7TlOHf
statusstringOptional

Status of the account (managed by the integrator)

Example: ACTIVE | PAUSED | REMOVED | DENIED
account_idstringOptional

The account ID of the wallet

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
addressstringOptional

Wallet address in hexadecimal format with 0x prefix

Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
allowlistedbooleanOptional

Whether the wallet is allowlisted

Example: true
created_atstringOptional

Time the wallet was created

Example: 2024-01-25T13:07:50.335845Z
idstringOptional

Our UUID for this wallet

Example: dd8eefc8-0cc4-4a27-adc0-e1ebebed598d
on_platformbooleanOptional

Whether the wallet is on platform

Example: true
originator_org_idstringOptional

Originator of the wallet, value is an organization ID

Example: org_ABCDEF
statusstring · enumOptionalPossible values:
typestringOptional

The type of wallet - chain or protocol it exists on

Example: ETH
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
get/v0/platform/accounts/{idOrKey}
GET /v0/platform/accounts/{idOrKey} HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created_at": "2024-01-24T13:07:50.335845Z",
  "id": "ac0d0cdf-92bc-4cbe-a180-a2efb2387d16",
  "key": "depositor_example",
  "org_id": "org_28CLGCvsdG7TlOHf",
  "status": "ACTIVE | PAUSED | REMOVED | DENIED",
  "wallets": [
    {
      "account_id": "ac0d0cdf-92bc-4cbe-a180-a2efb2387d16",
      "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
      "allowlisted": true,
      "created_at": "2024-01-25T13:07:50.335845Z",
      "id": "dd8eefc8-0cc4-4a27-adc0-e1ebebed598d",
      "on_platform": true,
      "originator_org_id": "org_ABCDEF",
      "status": "ALLOWLISTED",
      "type": "ETH"
    }
  ]
}
patch

Set account's status to REMOVED.

Integrators can call this method for their inactive users to be removed from the liquid staking protocol(s) allowlist.

Once account's status has been set to REMOVED:

  • It is no longer possible to attach new wallets to the account
  • Alluvial will remove any previously attached wallets from protocol's on-chain allowlist

Removing a wallet from the protocol allowlist results in disabling the ability to stake or redeem ETH.

Note that removing a wallet from the allowlist is an asynchronous process that can take some time.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrKeystringRequired

Account ID or Key of the account to remove

Responses
200

OK

application/json
created_atstringOptional

Time the account was created

Example: 2024-01-24T13:07:50.335845Z
idstringOptional

Identifier of the account (generated server side)

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
keystringOptional

Unique key identifying the account (supplied by the client when creating the account)

Example: depositor_example
org_idstringOptional

Organization identifier the account belongs to

Example: org_28CLGCvsdG7TlOHf
statusstringOptional

Status of the account (managed by the integrator)

Example: REMOVED
account_idstringOptional

The account ID of the wallet

Example: ac0d0cdf-92bc-4cbe-a180-a2efb2387d16
addressstringOptional

Wallet address in hexadecimal format with 0x prefix

Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
allowlistedbooleanOptional

Whether the wallet is allowlisted

Example: true
created_atstringOptional

Time the wallet was created

Example: 2024-01-25T13:07:50.335845Z
idstringOptional

Our UUID for this wallet

Example: dd8eefc8-0cc4-4a27-adc0-e1ebebed598d
on_platformbooleanOptional

Whether the wallet is on platform

Example: true
originator_org_idstringOptional

Originator of the wallet, value is an organization ID

Example: org_ABCDEF
statusstring · enumOptionalPossible values:
typestringOptional

The type of wallet - chain or protocol it exists on

Example: ETH
400

Bad request

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
401

Unauthorized

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
403

Forbidden

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
404

Not found

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
500

Internal error

application/json
messagestringOptionalExample: error message
statusstringOptionalExample: IR001
patch/v0/platform/accounts/{idOrKey}/remove
PATCH /v0/platform/accounts/{idOrKey}/remove HTTP/1.1
Host: api.alluvial.finance
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "created_at": "2024-01-24T13:07:50.335845Z",
  "id": "ac0d0cdf-92bc-4cbe-a180-a2efb2387d16",
  "key": "depositor_example",
[...]
